use tas::repo::{self, Repository};
use xdg::BaseDirectories;

fn main() {
    let xdg_dirs = BaseDirectories::with_prefix(env!("CARGO_PKG_NAME")).unwrap();
    let fs_repo = repo::fs::FsRepo::new(xdg_dirs.clone());
    let tasks = fs_repo.get_tasks().unwrap();

    let sqlite_repo = repo::sqlite::SqliteRepo::new(xdg_dirs).unwrap();
    for task in tasks {
        log::info!("task: {}", task.name);
        log::info!("  inserting...");

        sqlite_repo
            .insert_task(repo::InsertTaskData {
                name: task.name,
                project: task.project,
                link: task.link,
                dir_path: task.dir_path,
                index: None,
            })
            .unwrap();

        log::info!("  inserted");
    }
}
