//! Copyright (C) 2022, Dmitriy Pleshevskiy <dmitriy@ideascup.me>
//!
//! tas is free software: you can redistribute it and/or modify
//! it under the terms of the GNU General Public License as published by
//! the Free Software Foundation, either version 3 of the License, or
//! (at your option) any later version.
//!
//! tas is distributed in the hope that it will be useful,
//! but WITHOUT ANY WARRANTY; without even the implied warranty of
//! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//! GNU General Public License for more details.
//!
//! You should have received a copy of the GNU General Public License
//! along with tas.  If not, see <https://www.gnu.org/licenses/>.
//!
use crate::cli::print_task_detail;
use crate::repo::{self, Repository};

pub fn execute(repo: impl Repository) {
    let task = match repo.stop_task() {
        Err(repo::Error::NotFound) => {
            return eprintln!("You can use the pause subcommand only when you have an active task")
        }
        Err(err) => {
            return eprintln!("Cannot read current task: {}", err);
        }
        Ok(task) => task,
    };

    println!("The task was paused successfully");
    print_task_detail(&task);
}
